Summary:	GNOME Partition Editor
Summary(pl.UTF-8):	Edytor partycji dla GNOME
Name:		gparted
Version:	1.0.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/gparted/%{name}-%{version}.tar.gz
# Source0-md5:	025160c642b64148818761a1a4f599eb
URL:		http://gparted.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel
BuildRequires:	glibmm-devel >= 2.45.40
BuildRequires:	gnome-doc-utils
BuildRequires:	gtkmm-devel >= 2.22.0
BuildRequires:	intltool >= 0.36.0
BuildRequires:	libsigc++-devel >= 1:2.5.1
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-progs
BuildRequires:	parted-devel >= 3.2
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
Requires:	gksu
Requires:	glibmm >= 2.45.40
Requires:	gtkmm >= 2.22.0
Requires:	hicolor-icon-theme
Requires:	libsigc++ >= 1:2.5.1
Requires:	parted >= 3.2
Suggests:	btrfs-progs
Suggests:	dosfstools
Suggests:	e2fsprogs
Suggests:	hfsutils
Suggests:	jfsutils
Suggests:	lvm2
Suggests:	mdadm
Suggests:	mtools
Suggests:	nilfs-utils
Suggests:	ntfsprogs
Suggests:	reiser4progs
Suggests:	reiserfsprogs
Suggests:	xfsprogs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GParted stands for GNOME Partition Editor and is a graphical frontend
to parted. Among other features it supports creating, resizing, moving
and copying of partitions.

%description -l pl.UTF-8
GParted jest graficzną nakładką na parted. Program umożliwia między
innymi tworzenie, zmianę rozmiaru, przenoszenie i kopiowanie partycji.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	GKSUPROG=/usr/bin/gksu \
	--enable-libparted-dmraid \
	--enable-online-resize

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gparted
%attr(755,root,root) %{_sbindir}/gpartedbin
%{_desktopdir}/gparted.desktop
%{_iconsdir}/hicolor/*/apps/gparted.*
%{_datadir}/appdata/gparted.appdata.xml
%{_datadir}/polkit-1/actions/org.gnome.gparted.policy
%{_mandir}/man8/gparted.8*
%changelog
* Sun Oct 27 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gparted.git;a=log;h=master

* Sun Jun 02 2019 Grzegorz Pycia <gzohop@pld-linux.org> 4dc6bec
- up to 1.0.0

* Sun Jun 02 2019 Grzegorz Pycia <gzohop@pld-linux.org> ce0e1ed
- up to 0.33.0

* Thu Nov 08 2018 Jakub Bogusz <qboosh@pld-linux.org> c04f6cb
- updated to 0.32.0

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 69befd3
- up to 0.30.0

* Sun Jul 17 2016 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 07f62db
- Updated to 0.26.1

* Mon Dec 21 2015 Jan Palus <atler@pld-linux.org> 17d3951
- up to 0.24.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 1a32768
- updated gettext BR

* Tue Apr 15 2014 Jan Rękorajski <baggins@pld-linux.org> 0a4f5ca
- up to 0.18.0
- enabled native dmraid support and online resizing

* Thu Jun 27 2013 Łukasz Kieś <kiesiu@pld-linux.org> 1ed9077
- updated to 0.16.1

* Fri Oct 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 9323cee
- Update to 0.14.0

* Mon Mar 26 2012 Marcin Banasiak <marcin.banasiak@gmail.com> f5587df
- updated to 0.12.0

* Tue Mar 06 2012 Łukasz Kieś <kiesiu@pld-linux.org> 73b328d
- rel. 2 for parted-3.1

* Fri Aug 26 2011 Artur Frysiak <artur@frysiak.net> 1012b61
- up to 0.9.0

* Tue May 24 2011 lisu <lisu@pld-linux.org> 44f42b4
- updated to 0.8.1

* Sat Mar 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ca9e1b
- release 2

* Sun Feb 27 2011 Jan Rękorajski <baggins@pld-linux.org> be778b2
- rel 1

* Sun Feb 27 2011 Jan Rękorajski <baggins@pld-linux.org> f161631
- drop autocrap regeneration

* Sun Feb 27 2011 Jan Rękorajski <baggins@pld-linux.org> 7dbc168
- 0.8.0
- drop R:hal, the only thing used is hal-lock program
  iff it's present and hal daemon is running,
  gparted works perfectly fine without HAL

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 16c9e21
- release 2

* Tue Dec 14 2010 Krzysztof Goliński <dirdival@pld-linux.org> 2413a0e
- updated to 0.7.1

